<template>
    <nav>
        <RouterLink v-if="token" to="/">Home</RouterLink>
        <RouterLink to="/about">About</RouterLink>
        <RouterLink v-if="token.length === 0" to="/login">Login</RouterLink>
        <a v-if="token.length" @click="logout">Logout</a>
    </nav>
</template>

<script setup lang="ts">
import { useUserStore } from '@/stores/user'
import { storeToRefs } from 'pinia';
const userStore = useUserStore()
const { token } = storeToRefs(userStore)
const { logout } = userStore
</script>
